using Decimation.Lib.Items;
using Decimation.Lib.Util;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace Decimation.Content.Items.Tools
{
    internal class MultigrainHammer : DecimationTool
    {
        protected override string ItemName => "Multigrain Hamaxe";
        protected override string ItemTooltip => "Smells like honeysuckle";
        protected override int MeleeDamages => 20;
        protected override int HammerPower => 67;
        protected override int AxePower => 13;

        protected override void InitTool()
        {
            item.width = 32;
            item.height = 32;
            item.useTime = 20;
            item.useAnimation = 20;
            this.item.knockBack = 5;
            item.value = Item.buyPrice(0, 0, 10);
            item.rare = Rarity.Green.GetRarityValue();
            this.item.crit = 3;
            item.UseSound = SoundID.Item1;
        }

        protected override ModRecipe GetRecipe()
        {
            ModRecipe recipe = GetNewModRecipe(this, 1, TileID.Loom);

            recipe.AddIngredient(null, "GreatwoodHammer");
            recipe.AddIngredient(ItemID.CactusPickaxe);
            recipe.AddIngredient(ItemID.Pumpkin, 10);
            recipe.AddIngredient(ItemID.Vine, 2);

            return recipe;
        }
    }
}